Blog

jQuery migrate to new version plugin

Posted by Anil Kumar Blogs | JQuery Feb 02, 2013
If you are using old version of jQuery and want to migrate to its new version 1.9 and more, this plugin is made for you from jQuery Foundation

Do you want to migrate to new version of jQuery 1.9 or more? Well, jQuery Foundation has created a plugin for you. You can easily use new jQuery without any affect to your old version based plugins if any you are using.

You need to just refer this migrate plugin and you are ready to go for new version of jQuery. This plugin is developed to handle old version methods.

You can download this migrate plugin and store locally to refer or can directly refer to its corresponding CDN.  This migrate plugin can download from http://code.jquery.com/jquery-migrate-1.1.0.min.js

There are many applications running on its old version like 1.3.2 or popular 1.4 version. Migrating for new version was very hectic as it requires replacement of other plugins being used on the base of old version of jQuery. Many earlier famous plugins that were written on the some version of jQuery are abandoned. If your project is using any of these plugins you hardly dare to upgrade your jQuery version.

Now, no need to worry, jQuery Foundation and its contributors has developed a migration plugin which makes life easier to opt new versions. Refer github  https://github.com/jquery/jquery-migrate/#readme 

Refer blog http://blog.jquery.com/author/dmethvin/ where he says "Finally, remember that you can include the jQuery Migrate plugin with your existing copy of jQuery all the way back to 1.6.4, to see what issues may arise when you do get around to upgrading."

 

COMMENT USING
PREMIUM SPONSORS
Hire Mobile & Web Developer on demand. 100% satisfaction. Try for 1 week or Money Back. Local and remote developers available all over USA.
SPONSORED BY
  • MCN is your source for developing solutions involving websites, mobile apps, cloud-computing, databases, BI, back-end services and processes and client-server applications.